Arch Site/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "Category:Arch/ro")
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
<div class="mw-translate-fuzzy">
{{GuiCommand|Name=Arch Site|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Site|Shortcut=S I|SeeAlso=[[Arch Floor|Arch Floor]], [[Arch Building|Arch Building]]}}
{{GuiCommand|Name=Arch Site|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Site|Shortcut=S I|SeeAlso=[[Arch Floor|Arch Floor]], [[Arch Building|Arch Building]]}}
</div>


==Descriere==
==Descriere==
Line 8: Line 10:
== Cum se folosește ==
== Cum se folosește ==


<div class="mw-translate-fuzzy">
# Optionally, select one or more objects to be included in your new site
# Optionally, select one or more objects to be included in your new site
# Press the {{KEY|[[Image:Arch Site.png|16px]] '''Arch Site'''}} button, or press the {{KEY|S}} then {{KEY|I}} keys
# Press the {{KEY|[[Image:Arch Site.png|16px]] '''Arch Site'''}} button, or press the {{KEY|S}} then {{KEY|I}} keys
</div>


== Opţiuni ==
== Opţiuni ==


<div class="mw-translate-fuzzy">
* After creating a site, you can add more objects to it by drag and dropping them in the Tree View or by using the [[Image:Arch Add.png|16px]] [[Arch Add|Arch Add]] tool. This only determines which object is part of the given site, and has no effect on the terrain itself.
* After creating a site, you can add more objects to it by drag and dropping them in the Tree View or by using the [[Image:Arch Add.png|16px]] [[Arch Add|Arch Add]] tool. This only determines which object is part of the given site, and has no effect on the terrain itself.
* You can remove objects from a site by drag and dropping them out of it the Tree View or by using the [[Image:Arch Remove.png|16px]] [[Arch Remove|Arch Remove]] tool
* You can remove objects from a site by drag and dropping them out of it the Tree View or by using the [[Image:Arch Remove.png|16px]] [[Arch Remove|Arch Remove]] tool
Line 18: Line 23:
* You can add volumes to be added or subtracted from the base terrain, by double-clicking the Site, and adding objects to its Subtractions or Additions groups. The objects must be solids.
* You can add volumes to be added or subtracted from the base terrain, by double-clicking the Site, and adding objects to its Subtractions or Additions groups. The objects must be solids.
* The '''Extrusion Vector''' property can be used to solve some problems that can appear when working with subtractions and additions. In order to perform those additions/subtractions, the terrain surface is extruded into a solid, which is then appropriately unioned/subtracted. Depending on the terrain topology, this extrusion might fail with the default extrusion vector. You might therefore be able to remedy the problem by changing this to a different value.
* The '''Extrusion Vector''' property can be used to solve some problems that can appear when working with subtractions and additions. In order to perform those additions/subtractions, the terrain surface is extruded into a solid, which is then appropriately unioned/subtracted. Depending on the terrain topology, this extrusion might fail with the default extrusion vector. You might therefore be able to remedy the problem by changing this to a different value.
</div>


==Proprietăți==
==Proprietăți==


<div class="mw-translate-fuzzy">
* {{PropertyData|Terrain}}: The base terrain of this site
* {{PropertyData|Terrain}}: The base terrain of this site
* {{PropertyData|Address}}: The street and housenumber of this site
* {{PropertyData|Address}}: The street and housenumber of this site
Line 36: Line 43:
* {{PropertyData|Remove Splitter}}: Remove splitters from the resulting shape
* {{PropertyData|Remove Splitter}}: Remove splitters from the resulting shape
* {{PropertyData|North Deviation}}: The angle between the true North and the north direction in this document
* {{PropertyData|North Deviation}}: The angle between the true North and the north direction in this document
* {{PropertyView|Solar Diagram}}: Shows or hides the solar diagram
* {{PropertyView|Solar Diagram Color}}: The color of the solar diagram
* {{PropertyView|Solar Diagram Position}}: The position of the solar diagram
* {{PropertyView|Solar Diagram Scale}}: The scale of the solar diagram
</div>

=== View ===
* {{PropertyView|Solar Diagram}}: Shows or hides the solar diagram
* {{PropertyView|Solar Diagram}}: Shows or hides the solar diagram
* {{PropertyView|Solar Diagram Color}}: The color of the solar diagram
* {{PropertyView|Solar Diagram Color}}: The color of the solar diagram
Line 43: Line 57:
== Typical workflow ==
== Typical workflow ==


<div class="mw-translate-fuzzy">
Start by creating an object that represents your terrain. It must be an open surface, not a solid. For example, it is easy to import mesh data, that can be turned into a Part Shape from menu '''Part -> Create Shape from Mesh...'''. Then, create a Site object, and set its '''Terrain''' property to the Part we just created:
Start by creating an object that represents your terrain. It must be an open surface, not a solid. For example, it is easy to import mesh data, that can be turned into a Part Shape from menu '''Part -> Create Shape from Mesh...'''. Then, create a Site object, and set its '''Terrain''' property to the Part we just created:
</div>


[[Image:Arch site example 01.jpg]]
[[Image:Arch site example 01.jpg]]
Line 57: Line 73:
== Solar diagram ==
== Solar diagram ==


<div class="mw-translate-fuzzy">
If [http://pysolar.org/ pysolar] is installed on your system, Arch Sites can display a solar diagram. For this, '''Longitude''', '''Latitude''' and '''NorthDeviation''' properties must be correctly set, and '''SolarDiagram''' view property turned on. {{Version|0.17}}
If [http://pysolar.org/ pysolar] is installed on your system, Arch Sites can display a solar diagram. For this, '''Longitude''', '''Latitude''' and '''NorthDeviation''' properties must be correctly set, and '''SolarDiagram''' view property turned on. {{Version|0.17}}
</div>


[[Image:Freecad-solar-diagram.jpg]]
[[Image:Freecad-solar-diagram.jpg]]


<div class="mw-translate-fuzzy">
== Scrip-Programare ==
== Scrip-Programare ==
</div>


<div class="mw-translate-fuzzy">
Instrumentul Site poate fi utilizat în [[macros]] și de la consola python utilizând următoarele funcții:
Instrumentul Site poate fi utilizat în [[macros]] și de la consola python utilizând următoarele funcții:
</div>
{{Code|code=
{{Code|code=
makeSite ([objectslist])
Site = makeSite(objectslist=None, baseobj=None, name="Site")
}}
}}

<div class="mw-translate-fuzzy">
creează un site incluzând obiectele din lista dată.
creează un site incluzând obiectele din lista dată.
</div>


Exempluː
Exempluː
{{Code|code=
{{Code|code=
import Arch
import FreeCAD, Draft, Arch

Arch.makeSite()
p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Site = Arch.makeSite(Wall)
FreeCAD.ActiveDocument.recompute()
}}
}}

=== Solar diagram ===

FreeCAD can add a solar diagram to the active document if the {{incode|Pysolar}} (or {{incode|pysolar}}?) module is available. This module only works with Python3.

<div class="mw-translate-fuzzy">
O diagramă de însorire poate fi creată cu :
O diagramă de însorire poate fi creată cu :
</div>
{{Code|code=
{{Code|code=
Node = makeSolarDiagram(longitude, latitude, scale=1, complete=False)
import Arch,FreeCADGui
node = Arch.makeSolarDiagram(-46.38,-23.33) # longitude, latitude, [scale]
FreeCADGui.ActiveDocument.ActiveView.getSceneGraph().addChild(node)
}}
}}


* Creates a solar diagram as a Pivy node, using {{incode|longitude}} and {{incode|latitude}}, with an optional {{incode|scale}}.
* If {{incode|complete}} is {{incode|True}}, the 12 months are drawn.

{{Code|code=
import FreeCADGui, Arch

Node = Arch.makeSolarDiagram(-46.38, -23.33)
FreeCADGui.ActiveDocument.ActiveView.getSceneGraph().addChild(Node)
}}
<div class="mw-translate-fuzzy">
[[Category:Arch/ro]]
[[Category:Arch/ro]]
</div>

Revision as of 17:42, 30 January 2019

Arch Site

Menu location
Arch → Site
Workbenches
Arch
Default shortcut
S I
Introduced in version
-
See also
Arch Floor, Arch Building

Descriere

Site-ul Arch este un obiect special care combină proprietățile unui obiect standard al grupului FreeCAD și a obiectelor Arch. Este deosebit de potrivit pentru a reprezenta un întreg sit de proiect sau teren. În cazul lucrărilor arhitecturale bazate pe IFC, se utilizează cea mai mare parte pentru a vă organiza modelul, conținând obiecte building. Site-ul este, de asemenea, folosit pentru a gestiona și a afișa un teren fizic și poate calcula volumul de pământ care trebuie adăugat sau eliminat.

Cum se folosește

  1. Optionally, select one or more objects to be included in your new site
  2. Press the Arch Site button, or press the S then I keys

Opţiuni

  • After creating a site, you can add more objects to it by drag and dropping them in the Tree View or by using the Arch Add tool. This only determines which object is part of the given site, and has no effect on the terrain itself.
  • You can remove objects from a site by drag and dropping them out of it the Tree View or by using the Arch Remove tool
  • You can add a terrain object by editing the Site's Terrain property. The terrain must be an open shell or surface.
  • You can add volumes to be added or subtracted from the base terrain, by double-clicking the Site, and adding objects to its Subtractions or Additions groups. The objects must be solids.
  • The Extrusion Vector property can be used to solve some problems that can appear when working with subtractions and additions. In order to perform those additions/subtractions, the terrain surface is extruded into a solid, which is then appropriately unioned/subtracted. Depending on the terrain topology, this extrusion might fail with the default extrusion vector. You might therefore be able to remedy the problem by changing this to a different value.

Proprietăți

  • DateTerrain: The base terrain of this site
  • DateAddress: The street and housenumber of this site
  • DatePostal Code: The postal or zip code of this site
  • DateCity: The city of this site
  • DateCountry: The country of this site
  • DateLatitude: The latitude of this site
  • DateLongitude: The longitude of this site
  • DateUrl: An url that shows this site in a mapping website
  • DateProjected Area: The area of the projection of this object onto the XY plane
  • DatePerimeter: The perimeter length of this terrain
  • DateAddition Volume: The volume of earth to be added to this terrain
  • DateSubtraction Volume: The volume of earth to be removed from this terrain
  • DateExtrusion Vector: An extrusion vector to use when performing boolean operations
  • DateRemove Splitter: Remove splitters from the resulting shape
  • DateNorth Deviation: The angle between the true North and the north direction in this document
  • VizualizareSolar Diagram: Shows or hides the solar diagram
  • VizualizareSolar Diagram Color: The color of the solar diagram
  • VizualizareSolar Diagram Position: The position of the solar diagram
  • VizualizareSolar Diagram Scale: The scale of the solar diagram

View

  • VizualizareSolar Diagram: Shows or hides the solar diagram
  • VizualizareSolar Diagram Color: The color of the solar diagram
  • VizualizareSolar Diagram Position: The position of the solar diagram
  • VizualizareSolar Diagram Scale: The scale of the solar diagram

Typical workflow

Start by creating an object that represents your terrain. It must be an open surface, not a solid. For example, it is easy to import mesh data, that can be turned into a Part Shape from menu Part -> Create Shape from Mesh.... Then, create a Site object, and set its Terrain property to the Part we just created:

Create some volumes (they must be solids) that represent the areas that you wish to be excavated or filled. Double-click the Site object in the Tree View, and add these volumes to the Additions or Subtractions groups. Click OK.

The site geometry will be recomputed and the areas, perimeter, and volumes properties recalculated.

Solar diagram

If pysolar is installed on your system, Arch Sites can display a solar diagram. For this, Longitude, Latitude and NorthDeviation properties must be correctly set, and SolarDiagram view property turned on. introduced in version 0.17

Scrip-Programare

Instrumentul Site poate fi utilizat în macros și de la consola python utilizând următoarele funcții:

Site = makeSite(objectslist=None, baseobj=None, name="Site")

creează un site incluzând obiectele din lista dată.

Exempluː

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Site = Arch.makeSite(Wall)
FreeCAD.ActiveDocument.recompute()

Solar diagram

FreeCAD can add a solar diagram to the active document if the Pysolar (or pysolar?) module is available. This module only works with Python3.

O diagramă de însorire poate fi creată cu :

Node = makeSolarDiagram(longitude, latitude, scale=1, complete=False)
  • Creates a solar diagram as a Pivy node, using longitude and latitude, with an optional scale.
  • If complete is True, the 12 months are drawn.
import FreeCADGui, Arch

Node = Arch.makeSolarDiagram(-46.38, -23.33)
FreeCADGui.ActiveDocument.ActiveView.getSceneGraph().addChild(Node)